<apex:page controller="TaxonomyChangeNameAddCommentsCtrl">
    <apex:form >
        <apex:sectionHeader subtitle="PREP Taxonomy" title="Add Comments Short & Long Name"/>
        
        <apex:pageBlock title="Change Details">
            <apex:pageBlockSection >
                <apex:outputField value="{!detail.Field_Name__c}" label="Change Field: "/>
                <apex:pageBlockSectionItem ></apex:pageBlockSectionItem>
                <apex:outputField value="{!detail.From_Field_value__c}" label="Old Value: "/>
                <apex:outputField value="{!detail.To_Field_value__c}" label="New Value: "/>
                <apex:outputField value="{!detail.From_Field__c}" label="Old Value Includes: "/>
                <apex:outputField value="{!detail.To_Field__c}" label="New Value Includes: "/>
                <apex:outputField value="{!detail.From_Number__c}" label="Old Number: "/>
                <apex:outputField value="{!detail.To_Number__c}" label="New Number: "/>
            </apex:pageBlockSection>
        </apex:pageBlock>
        
        <apex:pageBlock title="Taxonomy Details">
            <apex:pageBlockSection columns="2" rendered="{!IF( taxonomy == null, false, true )}" >
                <apex:outputField value="{!taxonomy.Material_Service_Group_Name__c}" />
                <apex:outputField value="{!taxonomy.Discipline__c}" />
                <apex:outputField value="{!taxonomy.Category__c}" />
                <apex:outputField value="{!taxonomy.Sub_Category__c}" />
                <apex:outputField value="{!taxonomy.Category_Manager__c}" />
                <apex:outputField value="{!taxonomy.Category_Specialist__c}" />
                <apex:outputField value="{!taxonomy.Name}" />
                <apex:outputField value="{!taxonomy.SAP_Short_Text_Name__c}" />
                <apex:inputField value="{!taxonomy.Additional_Comments__c}" label="Additional Comments: "/>
            </apex:pageBlockSection>
            
            <apex:pageBlockSection columns="2" rendered="{!IF( taxonomyClone == null, false, true )}" >
                <apex:outputField value="{!taxonomyClone.Material_Service_Group_Name__c}" />
                <apex:outputField value="{!taxonomyClone.Discipline__c}" />
                <apex:outputField value="{!taxonomyClone.Category_Link__c}" />
                <apex:outputField value="{!taxonomyClone.Sub_Category__c}" />
                <apex:outputField value="{!taxonomyClone.Category_Manager__c}" />
                <apex:outputField value="{!taxonomyClone.Category_Specialist__c}" />
                <apex:outputField value="{!taxonomyClone.Name}" />
                <apex:outputField value="{!taxonomyClone.SAP_Short_Text_Name__c}" />
                <apex:outputField value="{!taxonomyClone.GL_Account__r.Name}" />
                <apex:outputField value="{!taxonomyClone.GL_Account_Number__c}" />
                <apex:outputField value="{!taxonomyClone.Includes__c}" />
                <apex:outputField value="{!taxonomyClone.Does_Not_Include__c}" />
                <apex:inputField value="{!taxonomyClone.Additional_Comments__c}" label="Additional Comments: "/>
            </apex:pageBlockSection>
            
            <apex:pageBlockButtons location="bottom">
                <apex:commandButton value="Save" action="{!saveTaxonomy}" />
                <apex:commandButton value="Cancel" action="{!cancelTaxonomy}"/>
            </apex:pageBlockButtons>
        </apex:pageBlock>
    </apex:form>
</apex:page>